<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>RxJS Retry</title>
  </head>

  <body>
    <script src="rxjs.umd.js"></script>
    <script src="getSubscriber.js"></script>
    <script>
      const source$ = rxjs.interval(1000);
      source$
        .pipe(
          rxjs.operators.mergeMap(val => {
            if (val > 5) {
              throw 'Error!';
            }
            return rxjs.of(val);
          }),
          rxjs.operators.retry(2)
        )
        .subscribe(getSubscriber('Retry'));
    </script>
  </body>
</html>
